Subject: Re: 23.0.60; custom-set-faces causes "New Frame" to fail (max-specpdl-size)

From: Ian Miller <[email-masked]>
Date: Sun, 7 Sep 2008 17:56:33 +0100

On Sun, Sep 07, 2008 at 04:23:42PM +0200, martin rudalics wrote:
> > Example custom-set-faces in .emacs that causes the bug:
> >
> >      (custom-set-faces
> >       ;; custom-set-faces was added by Custom.
> >       ;; If you edit it by hand, you could mess it up, so be careful.
> >       ;; Your init file should contain only one such instance.
> >       ;; If there is more than one, they won't work right.
> >       '(default ((t (:stipple nil :background "DarkSlateGray"
> >      :foreground "wheat" :inverse-video nil :box nil :strike-through
> >      nil :overline nil :underline nil :slant normal :weight normal
> >      :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))))
>
> Can you reproduce the bug with an .emacs that contains just this form
> and nothing else?

Yes. The bug is still present even when .emacs consists of only the above.

> > display-color-cells: Variable binding depth exceeds max-specpdl-size
>
> Does this occur in `x-display-color-cells'?

I'm not quite sure what you mean by this... but I can evaluate
(x-display-color-cells) in the scratch buffer without any apparent error?

  (x-display-color-cells)
  1677721